﻿Public Class Form1

    'This project demonstrates the use of ListBox and the For Loop

    'This button event will calculate how many years it will take to double a certain amount of money
    'based on the interest rate, and output the amount after each year
    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click
        Dim dblCurrentAmount As Double 'used to store the amount entered by user
        Dim dblRate As Double       'used to store the interest rate entered by user
        Dim dblInterest As Double   'used to store the interest amount after each year
        Dim intCounter As Integer    'intCounter is used as counter

        'Clear out any items that may be in the listbox
        lstOutput.Items.Clear()

        'Convert amount user entered to double
        dblCurrentAmount = CDbl(txtAmount.Text)

        'Convert interest user entered to double and change it to a percentage
        dblRate = CDbl(txtRate.Text) / 100

        'Add the column header in the ListBox before the loop
        lstOutput.Items.Add("Years      Amount Worth")
        lstOutput.Items.Add("========================")

        'Loop will go through all years one at a time
        For intCounter = 1 To Me.nudYears.Value
            'Interest for current year is CurrentAmount times the interest rate
            dblInterest = dblCurrentAmount * dblRate

            'Add interest to dblCurrentAmount
            'This is the same as dblCurrentAmount = dblCurrentAmount + dblInterest
            dblCurrentAmount += dblInterest
            'dblCurrentAmount = dblCurrentAmount + dblInterest

            'Notice another way of formatting a string to currency
            Me.lstOutput.Items.Add("Year " & CStr(intCounter) & ": " & FormatCurrency(dblCurrentAmount))
        Next

       
    End Sub

    'The Form Load subroutine will execute as soon as the program starts. 
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MessageBox.Show("This program will tell you how much your initial investment will be worth after a given number of " _
          & "years and a given interest rate.")
    End Sub
End Class
